function initVoting() {
    /*Request the suggestions from service.js*/
    var sug = API.getSuggestions();
    /*Render the page*/
    var con = $('#content');
    $.each(sug,function (i,val){
        con.append("<div class='row' id='"+val.id+"'>" +
            "<div class ='sug'>"+val.text+"</div>" +
            "<div class='votes'>" +
                "<input type='button' value='" + val.votes.up + "' class='up'></input>"+
                "<input type='button' value='" + val.votes.down + "' class='down'></input>"+
            "</div>"+
        "</div>");
    });
    /*Define for later use*/
    var updatePage = function(){
        /*Update votes*/
        $.each(sug,function (i,val){
            $('#'+val.id+" .up").attr("value",val.votes.up);
            $('#'+val.id+" .down").attr("value",val.votes.down);
        });
        /*Sort the suggestions by score*/
        sug.sort(function(a,b){
            var scoreA = a.votes.up - a.votes.down;
            var scoreB = b.votes.up - b.votes.down;
            return scoreB-scoreA;
        });
        /*Rearrange the suggestions*/
    $.each(sug,function(i,val){
        if(i>0){
            $("#"+val.id).insertAfter($("#"+sug[i-1].id));
        }
    });
};
/* Setup functionality for the buttons*/
    var btn = $("input[type = button]");
    btn.each(function (i,val){
        var btn = $(val);
        var btnClass = (btn.hasClass("up"))?"up":"down";
        var disabled = (sug[btn.parent().parent().attr("id")-1].hasVoted == btnClass);
        btn.button({
            /*Adding the icons seems not to work, no clue why?*/
            icons: { primary: (btnClass=="up")?"ui-icon-triangle-1-n" : "ui-icon-triangle-1-s" },
            text : true,
            disabled : disabled
        }).click(function (e) {
            /*enable the other button if necessary*/
            btn.parent().find('.ui-state-disabled').button('option','disabled',false);
            /*disable clicked button*/
            btn.button('option','disabled',true);
            /*send a call to the backend*/
            if (btn.hasClass("up")) {sug = API.voteUp(btn.parent().parent().attr("id"));}
            else {sug = API.voteDown(btn.parent().parent().attr("id"));}
            /*Update Ordering*/
            updatePage();
        });
    });
    /*Reorder the elements for the initial rendering of the page*/
    updatePage();
}

