var express = require('express');
var router = express.Router();
var data = require('../data.js');
var helper = require('../helper.js');

/* POST changes in the data structure. */
router.post('/', function (req, res) {
    /* update data structure*/
    var i = req.body.ident-1;//index of suggestion
    var vote = req.body.vote;
    var IP = helper.getIpFromRequest(req);
    if(JSON.stringify(data[i].votesByUser).indexOf(IP) == -1){ //No vote yet
        data[i].votesByUser[IP] = vote;
        data[i].votes[vote] ++;
    }
    else if(data[i].votesByUser[IP] != vote){ //User changed his mind
        data[i].votesByUser[IP] = vote;
        data[i].votes[vote] ++;
        data[i].votes[((vote=="up")?"down":"up")] --;
    }
    res.end((helper.adjustData(IP)));
});

module.exports = router;
