/*Shared helper Functions*/
var data = require('./data.js');

//Helper function
var getIpForRequest=function(request){
    return request.headers['x-forwarded-for'] ||
        request.connection.remoteAddress ||
        request.socket.remoteAddress ||
        request.connection.socket.remoteAddress;
};

var adjustData = function (ip){
    //Create a deep copy of the data for modification
    var res = JSON.parse(JSON.stringify(data));
    for(var i=0;i<res.length;i++) {
        if (res[i].votesByUser[ip] == ("up") || res[i].votesByUser[ip] == "down") {
            //Add field to indicate previous vote
            res[i].hasVoted = res[i].votesByUser[ip];
        }
        //Hide the other votes from the user
        delete res[i].votesByUser;
    }
    return JSON.stringify(res);
};

module.exports.getIpFromRequest = getIpForRequest;
module.exports.adjustData = adjustData;
