var API = {
    /* The given Signature for the voteUp and voteDown calls prevents handing over a
    callback. To work around this and update the view after the successful completion,
    a synchronous call and a return is used. Maybe there is a more elegant way to do
    this, but this is the best alternative to a callback that I could ome up with ;)*/
    voteUp : function(sug){
        var data = [];
        $.ajax({
            type: "POST",
            async: false,
            url: 'http://127.0.0.1:3000/service',
            data: {ident : sug, vote : 'up'},
            success : function (ret){
                data = JSON.parse(ret);
            }
        });
        return data;
    },
    voteDown : function(sug){
        var data = [];
        $.ajax({
            type: "POST",
            async: false,
            url: 'http://127.0.0.1:3000/service',
            data: {ident : sug, vote : 'down'},
            success : function (ret){
                data = JSON.parse(ret);
            }
        });
        return data;
    },
    getSuggestions : function(){
        /*Request the suggestions from ./service/suggestions */
        var data = [];
        $.ajax('http://127.0.0.1:3000/service/suggestions',{
            async: false,
            success : function (ret){
                data = JSON.parse(ret);
            }
        });
        /*Return the result */
        return data;
    }
};
